Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - m -

- m_cRef : tagIEVENTSINKOBJ
- m_event_id : tagIEVENTSINKOBJ
- m_iid : tagIEVENTSINKOBJ
- m_tbl : RClass
- machine_regs : rb_thread_struct
- machine_stack : rb_context_struct
- machine_stack_end : rb_thread_struct
- machine_stack_maxsize : rb_thread_struct
- machine_stack_size : rb_context_struct
- machine_stack_src : rb_context_struct
- machine_stack_start : rb_thread_struct
- main_thread : rb_vm_struct
- major : yaml_version_directive_s , yaml_token_s
- malloc_params : rb_objspace
- map : re_pattern_buffer , OptMapInfo , NodeOptInfo
- mapping : yaml_node_s
- mapping_context : yaml_emitter_s
- mapping_start : yaml_event_s
- mark : yaml_simple_key_s , yaml_alias_data_s , yaml_parser_s , rb_method_entry_struct
- mark_ary : iseq_compile_data , rb_iseq_struct
- mark_func : rb_objspace::mark_func_data_struct
- mark_func_data : rb_objspace
- mark_object_ary : rb_vm_struct
- mark_stack : rb_objspace
- mark_stack_len : rb_thread_struct
- marked_num : rb_objspace
- marker : global_variable
- marks : yaml_parser_s
- master : child_info
- match : RVALUE
- match_string : JSON_ParserStruct
- max : minmax_t , minmax_by_t , MinMaxLen , tr
- max_bv : minmax_by_t
- max_enc_len : OnigEncodingTypeST
- max_input : rb_transcoder
- max_len : EncloseNode
- max_nesting : JSON_Generator_StateStruct , JSON_ParserStruct
- max_output : rb_transcoder
- maxbno : DBM
- MaxCharSize : myCPINFOEX
- MaxPrec : Real
- maxwds : Bigint
- mbc_case_fold : OnigEncodingTypeST
- mbc_to_code : OnigEncodingTypeST
- mbuf : CClassNode
- mday : tmx_funcs , vtm
- me : cache_entry , unlinked_method_entry_list_entry , METHOD , rb_call_info_struct , rb_control_frame_struct
- mem : _OnigStackType
- mem_alloc : ScanEnv
- mem_nodes_dynamic : ScanEnv
- mem_nodes_static : ScanEnv
- memo : JSON_ParserStruct
- mesg : rsock_send_arg
- meta_char_table : OnigSyntaxType
- meth : enumerator
- method : cmd_body_arg , conv_method_tbl
- method_index : oleparamdata
- method_missing_reason : rb_thread_struct
- methods : sip_hash
- mid : rb_backtrace_location_struct , rb_call_info_struct , cache_entry , iter_method_arg
- mild_compile_error : rb_thread_struct
- mimeout_state : nkf_state_t
- min : MinMaxLen , tmx_funcs , minmax_by_t , minmax_t , vtm
- min_bv : minmax_by_t
- min_enc_len : OnigEncodingTypeST
- min_len : EncloseNode
- minor : yaml_token_s , yaml_version_directive_s
- missing_reason : rb_call_info_struct
- mmd : OptExactInfo , OptMapInfo , OptEnv
- mod : autoload_const_set_args
- mode : rb_io_t , seek_arg
- modtime : utimbuf
- mon : vtm , tmx_funcs
- msecs : tmx_funcs
- msg_control : msghdr
- msg_controllen : msghdr
- msg_flags : msghdr
- msg_iov : msghdr
- msg_iovlen : msghdr
- msg_name : msghdr
- msg_namelen : msghdr
- msglen_byte : sip_state
- mt : rb_random_t
- mtime : gzfile , utime_args
- multiline : yaml_emitter_s
- mutex : rb_thread_lock_union , PepperInstance